(* Copyright (C) 1992, Digital Equipment Corporation                         *)
(* All rights reserved.                                                      *)
(* See the file COPYRIGHT for a full description.                            *)
(*                                                                           *)
(* Last modified on Mon Dec 14 10:06:25 PST 1992 by msm     *)
<*PRAGMA LL*>

INTERFACE TrestleImpl;

IMPORT Trestle, VBT, TrestleClass, TrestleComm;

PROCEDURE SetDefault(t: Trestle.T);
(* Set the default trestle to t *)

(* In the following procedures, ch must be a root child. *)

PROCEDURE GetDecor(ch: VBT.T): TrestleClass.Decoration;

PROCEDURE InnerDecorate(trsl: Trestle.T; ch: VBT.T;
                        new: TrestleClass.Decoration) 
  RAISES {TrestleComm.Failure};

PROCEDURE UpdateBuddies(ch: VBT.T);
(* For all the buddies of ch, call updateBuddies on their Trestle *)

END TrestleImpl.



