<*PRAGMA LL*>

MODULE ButtonTest EXPORTS Main;

IMPORT Button, VBT, TextVBT, Filter, HVSplit, Trestle, Axis, Text;

<*FATAL ANY*>

PROCEDURE Flip (b: Button.T; <*UNUSED*> READONLY cd: VBT.MouseRec)
  RAISES {} =
  BEGIN
    WITH ch  = Filter.Child(b),
         txt = TextVBT.Get(ch)  DO
      IF Text.Equal(txt, "Alpha") THEN
        TextVBT.Put(ch, "Beta")
      ELSE
        TextVBT.Put(ch, "Alpha")
      END
    END
  END Flip;

VAR
  v := HVSplit.Cons(Axis.T.Ver, Button.New(TextVBT.New("Alpha"), Flip),
                    Button.New(TextVBT.New("Alpha"), Flip));

BEGIN
  Trestle.Install(v);
  Trestle.AwaitDelete(v)
END ButtonTest.

