<*PRAGMA LL*>

MODULE TypeInTest EXPORTS Main;

IMPORT TypeIn, Trestle, HVSplit, Axis, Wr, Stdio, TrestleComm;

<*FATAL ANY*>

VAR v, w := HVSplit.Cons(Axis.T.Ver, TypeIn.New(), TypeIn.New());

BEGIN
  TRY
    Trestle.Install(v);
    Trestle.Install(w);
    Trestle.AwaitDelete(v);
    Trestle.AwaitDelete(w)
  EXCEPT
    TrestleComm.Failure =>
      Wr.PutText(Stdio.stderr, "Can't contact trestle server")
  END
END TypeInTest.

