(* Copyright (C) 1990, Digital Equipment Corporation.         *)
(* All rights reserved.                                       *)
(* See the file COPYRIGHT for a full description.             *)
(* Last modified on Mon Jan  4 16:04:48 PST 1993 by mhb      *)
(*      modified on Fri Sep 25 13:58:09 PDT 1992 by steveg   *)
<* PRAGMA LL *>

(* "VBTSnap" produces a screen dependent pixmap containing the window's
   current image. *)

INTERFACE VBTSnap;

IMPORT Image, VBT;

PROCEDURE Photo (v: VBT.T; widthMM, heightMM: REAL): Image.T;
<* LL = VBT.mu *>
(* Return a "widthMM" by "heightMM" screen-independent image of
   "v". *)

(* In the current implementation, "v" will be rescreened and
   redisplayed at least twice within "Photo": once to take the
   phote and once to restore it to its original appearance. *)

END VBTSnap.
