/* Copyright (C) 1992, Digital Equipment Corporation                         */
/* All rights reserved.                                                      */
/* See the file COPYRIGHT for a full description.                            */

/* Last modified on Fri Jan 15 15:04:05 PST 1993 by muller                   */

A = tcl
C = $(A)/$(CPU_TYPE)

all install:: $(C) FRC
	@(error=0; \
	  if test ! -f $(LIB_USE)/libm3.a; then \
	     echo "You need to install libm3 first"; error=1; fi; \
	  exit $$error)
	@for d in $(C); do \
	  (echo '--------------------------------------' $$d; \
	   cd $$d; $(BIN_USE)/m3make $@); \
	  done

clean:: FRC
	rm -fr $(C)

$(C):
	mkdir $@

#define NOCLEAN
