(* Copyright (C) 1992, Digital Equipment Corporation                         *)
(* All rights reserved.                                                      *)
(* See the file COPYRIGHT for a full description.                            *)
(*                                                                           *)
(* Last modified on Thu Dec 10 19:00:36 PST 1992 by msm     *)
<*PRAGMA LL*>

MODULE JoinCMap;

IMPORT ScrnColorMap, JoinScreen, TrestleComm;

REVEAL
  Oracle = ScrnColorMap.Oracle BRANDED OBJECT
    st: JoinScreen.T;
  OVERRIDES
    standard := ColorMapDefault;
    new := ColorMapNew;
    list := ColorMapList;
    lookup := ColorMapLookup
  END;

EXCEPTION FatalError;
  
<* FATAL FatalError *>

PROCEDURE New(st: JoinScreen.T): Oracle =
  BEGIN
    RETURN NEW(Oracle, st := st)
  END New;

PROCEDURE ColorMapNew (orc: Oracle; nm: TEXT := NIL; preLoaded := TRUE):
  ScrnColorMap.T RAISES {TrestleComm.Failure} =
  BEGIN
    RAISE FatalError
    (* IF orc.st.sts = NIL THEN RAISE FatalError; END; RETURN
       orc.st.sts[0].cmap.new(nm, preLoaded); *)
  END ColorMapNew;

PROCEDURE ColorMapDefault (orc: Oracle): ScrnColorMap.T RAISES {} =
  BEGIN
    RAISE FatalError
    (* IF orc.st.sts = NIL THEN RAISE FatalError; END; RETURN
       orc.st.sts[0].cmap.standard(); *)
  END ColorMapDefault;
  
PROCEDURE ColorMapList(orc: Oracle; 
                       pat: TEXT;
                       maxResults: CARDINAL): REF ARRAY OF TEXT  RAISES {} =
  BEGIN
    RAISE FatalError
 (*   IF orc.st.sts = NIL THEN RAISE FatalError; END;
    RETURN orc.st.sts[0].cmap.list(pat, maxResults); *)
  END ColorMapList;
  
PROCEDURE ColorMapLookup(orc: Oracle;
                         pat: TEXT) : ScrnColorMap.T
    RAISES {} = 
  BEGIN
    RAISE FatalError
  (*  IF orc.st.sts = NIL THEN RAISE FatalError; END;
    RETURN orc.st.sts[0].cmap.lookup(pat); *)
  END ColorMapLookup;

BEGIN
END JoinCMap.

